@echo off

set GNURXPATH=C:\Renesas\GCC\RedHat\GNURX-ELF\8.3.0.202004\rx-elf\rx-elf\bin

if "%_Path%"=="" (set _Path=%Path%)
set Path=%GNURXPATH%;%_Path%
if not exist HardwareDebug mkdir HardwareDebug

SET OPTIONS=-mcpu=rx71m -mlittle-endian-data -D__RX_LITTLE_ENDIAN__=1 -std=c11 -nostartfiles -Wall -Wextra -Wl,-warn-common -Wl,-gc-sections -ffunction-sections -fdata-sections -DROMSTART -loptc -loptm -DCPPAPP -O0

echo on
rx-elf-gcc %OPTIONS% -c "generate/start.S" -o "HardwareDebug/start.o"
rx-elf-gcc %OPTIONS% -c "generate/hwinit.c" -o "HardwareDebug/hwinit.o"
rx-elf-gcc %OPTIONS% -c "generate/inthandler.c" -o "HardwareDebug/inthandler.o"
rx-elf-gcc %OPTIONS% -c "generate/vects.c" -o "HardwareDebug/vects.o"
rx-elf-gcc %OPTIONS% -c "src/TestGUNRXprintf.cpp" -o "HardwareDebug/TestGUNRXprintf.o"
rx-elf-gcc %OPTIONS% -o "HardwareDebug/TestGUNRXprintf.elf" HardwareDebug/TestGUNRXprintf.o  HardwareDebug/hwinit.o HardwareDebug/inthandler.o HardwareDebug/start.o HardwareDebug/vects.o -T "generate/linker_script.ld"
